using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BPASmartClient.Helper;
using BPASmartClient.Model;
using Microsoft.Toolkit.Mvvm.ComponentModel;
using Microsoft.Toolkit.Mvvm.Input;
using BPASmartClient.EventBus;
using BPASmartClient.MorkS.Model;

namespace BPASmartClient.MorkS.ViewModel
{
    public class DebugViewModel : ObservableObject
    {
        public DebugViewModel()
        {
            InitCommand = new RelayCommand(() => { ActionManage.GetInstance.Send("InitDevice"); });
            SimOrderCommand = new RelayCommand(() =>
            {
                new MorksSimorderModel() { Bowloc = this.BowlLoc, NoodleLoc = this.NoodleLoc }.Publish();
            });
        }

        public RelayCommand InitCommand { get; set; }

        public RelayCommand SimOrderCommand { get; set; }

        public int NoodleLoc { get { return _mNoodleLoc; } set { _mNoodleLoc = value; OnPropertyChanged(); } }
        private int _mNoodleLoc = 1;


        public int BowlLoc { get { return _mBowlLoc; } set { _mBowlLoc = value; OnPropertyChanged(); } }
        private int _mBowlLoc = 10;

    }
}
